Remove customer tag
curl --request DELETE \
--url https://api.quentli.com/v1/customers/{id}/tags/{tag} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quentli.com/v1/customers/{id}/tags/{tag}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quentli.com/v1/customers/{id}/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/customers/{id}/tags/{tag}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/customers/{id}/tags/{tag}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.quentli.com/v1/customers/{id}/tags/{tag}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/customers/{id}/tags/{tag}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customer": {
"id": "cus_1234567890abcdefghij",
"createdAt": "2025-01-10T12:00:00.000Z",
"updatedAt": "2025-01-10T12:00:00.000Z",
"name": "Juan Pérez",
"username": "juan_perez_01",
"email": "juan@example.com",
"phoneNumber": "+525512345678",
"organizationId": "org_1234567890abcdefghij",
"assigneeId": "<string>",
"tags": [
"VIP"
],
"secondaryPhoneNumber": null,
"archivedAt": null,
"archivedById": "u_1234567890abcdefghij",
"acceptedServiceAgreement": true,
"skipTaxInvoice": false,
"emailVerified": false,
"phoneNumberVerified": true,
"hasChangedPassword": true,
"signatureAcceptedAt": "2025-01-10T12:00:00.000Z",
"optedOutWhatsappAt": null,
"optedInWhatsappAt": "2025-01-05T10:00:00.000Z",
"startedWhatsappAt": "2025-01-05T09:55:00.000Z",
"replyWithAssistant": false,
"metadata": [
{
"key": "studentId",
"value": "A-1029"
}
],
"meta": {
"studentId": "A-1029"
}
},
"tag": {
"id": "tg_1234567890abcdefghij",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"name": "VIP",
"description": null,
"createdById": "<string>",
"updatedById": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Customers
Remove customer tag
Removes a tag from a customer by tag name.
DELETE
/
v1
/
customers
/
{id}
/
tags
/
{tag}
Remove customer tag
curl --request DELETE \
--url https://api.quentli.com/v1/customers/{id}/tags/{tag} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quentli.com/v1/customers/{id}/tags/{tag}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quentli.com/v1/customers/{id}/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/customers/{id}/tags/{tag}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/customers/{id}/tags/{tag}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.quentli.com/v1/customers/{id}/tags/{tag}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/customers/{id}/tags/{tag}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customer": {
"id": "cus_1234567890abcdefghij",
"createdAt": "2025-01-10T12:00:00.000Z",
"updatedAt": "2025-01-10T12:00:00.000Z",
"name": "Juan Pérez",
"username": "juan_perez_01",
"email": "juan@example.com",
"phoneNumber": "+525512345678",
"organizationId": "org_1234567890abcdefghij",
"assigneeId": "<string>",
"tags": [
"VIP"
],
"secondaryPhoneNumber": null,
"archivedAt": null,
"archivedById": "u_1234567890abcdefghij",
"acceptedServiceAgreement": true,
"skipTaxInvoice": false,
"emailVerified": false,
"phoneNumberVerified": true,
"hasChangedPassword": true,
"signatureAcceptedAt": "2025-01-10T12:00:00.000Z",
"optedOutWhatsappAt": null,
"optedInWhatsappAt": "2025-01-05T10:00:00.000Z",
"startedWhatsappAt": "2025-01-05T09:55:00.000Z",
"replyWithAssistant": false,
"metadata": [
{
"key": "studentId",
"value": "A-1029"
}
],
"meta": {
"studentId": "A-1029"
}
},
"tag": {
"id": "tg_1234567890abcdefghij",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"name": "VIP",
"description": null,
"createdById": "<string>",
"updatedById": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Authorizations
organizationApiKeyoauthAccessToken
Path Parameters
Was this page helpful?